package com.pokkt.demo.fragments;

import android.graphics.Color;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

import com.pokkt.PokktAds;

import java.util.ArrayList;

public class PokktOutStreamListViewFragment extends BaseFragment implements PokktAds.OSAds.OSAdsDelegate{


    private ListView listView;

    public PokktOutStreamListViewFragment() {
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        ArrayList<String> content=  new ArrayList<String>();

        for(int i= 0; i<20; i++) {
            content.add("content : "+i);
        }
        listView = new ListView(getActivity());
        listView.setBackgroundColor(Color.WHITE);
        ArrayAdapter<String> adapter = new ArrayAdapter<String>(getActivity(),android.R.layout.simple_list_item_1,android.R.id.text1,content);
        listView.setAdapter(adapter);
        return listView;
    }

    @Override
    public void onViewCreated(View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        PokktAds.OSAds.setDelegate(this);
        PokktAds.OSAds.loadAdInContainer(getActivity(), listView, "default", 5, this); // step 1
    }

    @Override
    public void adReady(String screenName) {

    }

    @Override
    public void adDisplayed(String screenName) {
    }

    @Override
    public void adFailedToShow(String screenName, final String errorMessage) {
        if (getActivity() == null) {
            return;
        }
        getActivity().runOnUiThread(new Runnable() {
            @Override
            public void run() {
                Toast.makeText(getActivity(), "Video Ad Show Error " + errorMessage, Toast.LENGTH_LONG).show();
            }
        });

    }

    @Override
    public void adCompleted(String screenName) {

    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        PokktAds.OSAds.destroyAdInContainer("default");
        PokktOutStreamFragment.isAllowClick = true;
    }
}
